aboutsummaryrefslogtreecommitdiffstats
path: root/testing/frotz/APKBUILD
diff options
context:
space:
mode:
authorScrumpyJack <scrumpyjack@me.com>2014-12-01 18:49:58 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2014-12-02 09:51:18 +0000
commitfc0e71c84b2f87957a39905d17240097e8cb475f (patch)
tree9cfbc0e9e7d2e38c1c991c7f294e559493937383 /testing/frotz/APKBUILD
parentb82e001fc521d566723c97c94d224734788d8d2d (diff)
downloadaports-fc0e71c84b2f87957a39905d17240097e8cb475f.tar.gz
aports-fc0e71c84b2f87957a39905d17240097e8cb475f.tar.bz2
aports-fc0e71c84b2f87957a39905d17240097e8cb475f.tar.xz
testing/frotz: new aport
A Portable Z-Machine Interpreter http://frotz.sourceforge.net/
Diffstat (limited to 'testing/frotz/APKBUILD')
-rw-r--r--testing/frotz/APKBUILD48
1 files changed, 48 insertions, 0 deletions
diff --git a/testing/frotz/APKBUILD b/testing/frotz/APKBUILD
new file mode 100644
index 0000000000..53cadf818d
--- /dev/null
+++ b/testing/frotz/APKBUILD
@@ -0,0 +1,48 @@
+# Contributor: ScrumpyJack <scrumpyjack@me.com>
+# Maintainer:
+pkgname=frotz
+pkgver=2.43
+pkgrel=0
+pkgdesc="A Portable Z-Machine Interpreter"
+url="http://frotz.sourceforge.net/"
+arch="all"
+license="GPL"
+depends=""
+depends_dev=""
+makedepends="ncurses-dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://downloads.sourceforge.net/project/$pkgname/$pkgname/$pkgver/$pkgname-${pkgver}d.tar.gz
+ Makefile.patch"
+
+_builddir="$srcdir/$pkgname-${pkgver}d"
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ make
+}
+
+package() {
+ cd "$_builddir"
+ strip $pkgname
+ install -m755 -d "${pkgdir}/usr/bin"
+ install -m755 -d "${pkgdir}/usr/share/man/man6"
+ install -m755 $pkgname "${pkgdir}/usr/bin/"
+ install -m644 doc/${pkgname}.6 ${pkgdir}/usr/share/man/man6/${pkgname}.6
+}
+
+md5sums="6f4211c9180c75214cda1020c7db2629 frotz-2.43d.tar.gz
+d3ebe35d8a03f93e40d6996c0118b3df Makefile.patch"
+sha256sums="c56a2f77f630db04ad968fc7c0b2114e3f855fdae8ce226e600f20dcba2c5985 frotz-2.43d.tar.gz
+cea5fd75899721016b1a9d7443483926f203c9ab0d78ec74bfb975725041f7d6 Makefile.patch"
+sha512sums="53d0ba3fc841539b815512585daaf9505b500975d46a9fb6905c3840b98e2acb05cabc28ac4758296554ef5f1921385850b8c0410e8fed4c1ce7d200090dc1b7 frotz-2.43d.tar.gz
+50bd0db62eb09bb316dbab106d2bba0ad389e151fefbc587dbd15faf238b559276ce9d603333d5da8760623d014e2587609b96401e616f22062cb0a6aaa2f346 Makefile.patch"